Aller au contenu

AutoCAD LT 2017


37 sujets dans ce forum

    • 1 réponse
    • 4,1 k vues
    • 2 réponses
    • 3,9 k vues
    • 1 réponse
    • 8,1 k vues
    • 0 réponse
    • 3,2 k vues
    • 25 réponses
    • 17,6 k vues
    • 0 réponse
    • 5,5 k vues
    • 1 réponse
    • 5,1 k vues
    • 0 réponse
    • 4,2 k vues
  1. Hachures personnalisées

    • 3 réponses
    • 4,6 k vues
    • 24 réponses
    • 8,9 k vues
    • 0 réponse
    • 4,9 k vues
  2. bloc, point d'insertion

    • 2 réponses
    • 5,3 k vues
  3. longueur de polyligne

    • 6 réponses
    • 6,1 k vues
    • 4 réponses
    • 6,1 k vues
    • 2 réponses
    • 6,8 k vues
  4. Info bulle

    • 7 réponses
    • 7,5 k vues
  5. Saisie dynamique

    • 3 réponses
    • 8 k vues
    • 4 réponses
    • 7 k vues
    • 3 réponses
    • 6,6 k vues
  6. Pb Hachures sous LT 2017

    • 10 réponses
    • 8,1 k vues
    • 9 réponses
    • 7,4 k vues
    • 0 réponse
    • 5,1 k vues
    • 5 réponses
    • 6,4 k vues
    • 4 réponses
    • 6 k vues
  7. Nombre de fenêtres

    • 11 réponses
    • 8,3 k vues


  • Statistiques des forums

    • Total des sujets
      47,2 k
    • Total des messages
      285,9 k
  • Sujets

  • Messages

    • Bonjour 0 vous Merci de vos réponses. @Didier, si je n'ai pas dis l'essentiel, j'en suis désolé. je pensais avoir été clair. Sur une présentation j'ai un certain nombre d'objet, cadre polygone ou non, parfois bloc, fenêtres de présentations diverses, cartouches à différent endroit, donc rien qui soit commun à toutes les présentations de tout les plans, je  n'ai donc pas de diagonale fiable est systématique pour déterminer la surface papier occupé par les différents éléments. Je pensais intuitivement qu'il pouvait exister une propriété dans un jeu de sélection qui permettait de déterminer les bornes de la surface occupé par ce jeu de selection. En sélectionnant tout ce qu'il y a sur l'espace papier à partir de là, si la zone est plus large que haute, je sais appliquer portrait ou paysage dans la commande traceur... @curlygoth mon probleme est de determiner si je choisis portrait ou paysage en fonction de la surface papier occupée.... @Luna, je ne connais pas ce que tu decris je vais me pencher dessus et voir si je m'en sors. Mais pour que je recupere la mise en page papier d'une presentation , il faut qu'elle ait été créée avant non? c'est pas toujours le cas...   En vous remerciant. Philippe    
    • ok 💗 Un gros merci à vous 🤩 Je vais essayer les 2 possibilités pour voir.  
    • @didier, J'allais poster un code rapide mais je vois que tu as été plus efficace xD Je sais que la demande est récurrente mais il ne faudrait pas non plus que les nouveaux utilisateurs d'AutoCAD prennent l'habitude de quémander un programme LISP sans apprendre à maîtriser dans un premier temps l'outil de base qu'est AutoCAD... C'est pour cela que j'ai insisté sur l'extraction de données, car cela devrait finalement être la première réponse même si la programmation le permet ! Un fois le fichier .dxe créé pour un type d'extraction, il suffit d'utiliser toujours ce même fichier et l'extraction de données ne prend pas trop longtemps à se faire (certes cela peut être un chouilla plus long que par un programme spécifique à ce problème mais bon)... Parce qu'après on se retrouve à devoir pondre des variantes pour chaque utilisateurs parce que le programme est trop spécifique... Mais peut-être que je suis simplement fatiguée ^^" Bisous, Luna
    • Alors, Le fichier de gabarit c'est toi qui le créer justement en faisant une extraction de donnée. Donc la première fois, tu n'auras pas de fichier .dxe donc tu fais juste "Créer un fichier" et tu places ton nouveau fichier .dxe à un emplacement défini avec un nom défini. Les fois d'après, il te suffira de sélectionner ce fichier pour réaliser tes extractions de données Excel concernant les hachures 🙂 Ensuite, tu sélectionnes tes objets (je te suggère d'isoler tes objets HACHURE pour éviter de sélectionner autre chose, ou d'utiliser la commande 'FILTRE, avec l'apostrophe pour l'appeler en transparence) puis tu fais Suivant. Ensuite tu choisis le type d'objets que tu veux (donc si jamais tu n'as pas filtrer ta sélection, tu peux le faire à ce moment là) et ensuite tu définis les propriétés que tu désires. Donc pour toi, c'est le calque et la surface. Enfin, tu choisis le format de ton tableau, si tu veux grouper les objets identiques, etc... puis tu choisis d'extraire dans un fichier externe... Bref, utilise l'aide AutoCAD concernant cet outils !! Bisous, Luna
    • Bonjour @passi54 NON, pour l'extraction de données, c'est une commande qui demande les qualités des entités qu'on souhaite enregistrer. Il n'y a pas de gabarit, on répond à des questions posées via une case de dialogue. Je plussoie @Luna de favoriser les commandes natives quand c'est possible. Toutefois, cette demande de listing étant récurrente, je propose cette solution en lisp. Le nom de la commande à lancer en ligne de commande une fois le lisp chargé est "passi54" Il est possible de l'améliorer, mais a minima, il répond à la demande formulée. Amicalement (defun c:passi54 ( / aire calque ent fich lis n nom ss) (setq ss (ssget (list (cons 0 "HATCH")))) (setq lis nil) (repeat (setq n (sslength ss)) (setq ent (vlax-ename->vla-object(ssname ss (setq n (1- n))))) (setq aire (vlax-get-property ent 'area)) (setq calque (vlax-get-property ent 'layer)) (setq lis (cons (strcat calque ";" (rtos aire 2 2)) lis)) ) (setq Nom (strcat (getvar "dwgprefix") (getvar "dwgname"))) (setq Nom (substr Nom 1 (- (strlen Nom) 4))) (setq Nom (strcat Nom ".csv")) (setq fich (open Nom "w")) (write-line "Calque;Superficie" fich) (foreach x lis (write-line x fich) ) (close fich) (alert (strcat "Le fichier : " nom " a été créé et contient " (itoa (sslength ss)) " enregistrements." ) ) )  
  • Sujets

×
×
  • Créer...

Information importante

Nous avons placé des cookies sur votre appareil pour aider à améliorer ce site. Vous pouvez choisir d’ajuster vos paramètres de cookie, sinon nous supposerons que vous êtes d’accord pour continuer. Politique de confidentialité